Subject: bug#18186: cat.c needs fixing since 1998

From: Eric Blake <[email-masked]>
Date: Mon, 04 Aug 2014 07:26:04 -0600

On 08/03/2014 10:26 AM, James Simmons wrote:
> Way back in 1998, Earnie Boyd asked about the binary option for concatenating files in Cygwin.
> Now, almost 16 years later, I find that I need the binary option for cat, and I also find that cat.c still does NOT have the option! Here is a copy of that long-ago request and the response from Don Baarda.
> The work-around that Don suggested is not an option, since I need this in a bash script. (Cygwin automatically runs Bash as it’s shell.)

Have you also asked on the Cygwin list?  I just barely released
coreutils-8.23-1 for cygwin last weekend, and would prefer to have
feedback on the cygwin list before deciding if the problems you are
encountering are an issue with the downstream patches or something that
needs to be pushed upstream.  Most likely, cygwin is already doing the
right thing by _always_ doing the concatenation in binary mode.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org